.TH "mca_coll_sm_tree_node_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_coll_sm_tree_node_t \- Structure for representing a node in the tree.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <coll_sm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "int \fBmcstn_id\fP"
.br
.RI "\fIArbitrary ID number, starting from 0. \fP"
.ti -1c
.RI "\fBmca_coll_sm_tree_node_t\fP * \fBmcstn_parent\fP"
.br
.RI "\fIPointer to parent, or NULL if root. \fP"
.ti -1c
.RI "int \fBmcstn_num_children\fP"
.br
.RI "\fINumber of children, or 0 if a leaf. \fP"
.ti -1c
.RI "\fBmca_coll_sm_tree_node_t\fP ** \fBmcstn_children\fP"
.br
.RI "\fIPointer to an array of children, or NULL if 0 == mcstn_num_children. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure for representing a node in the tree. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
